<table class="table w-100 table-responsive-sm" ...attributes>
  <thead class="thead-light">
    <tr>
      {{#if @isEditable}}
        <th>
          {{#if this.showSelectAll}}
            <div class="form-check custom-checkbox select-all">
              <input id="check-all"
                class="chk-select form-check-input"
                type="checkbox"
                checked={{this.allSelected}}
                disabled={{this.hasDisabledSelectAll}} {{on "click" this.selectAll}}/>
              <label class="form-check-label" for="check-all"></label>
            </div>
          {{else}}
            &nbsp;
          {{/if}}
        </th>
      {{/if}}

      {{#each this.headItems as |head|}}
        <th scope="col align-middle">
          <span class="text-nowrap">{{capitalize head}}</span>
        </th>
      {{/each}}

      {{#if @isEditable}}
        <th>&nbsp;</th>
      {{/if}}
    </tr>
  </thead>

  <tbody>
    {{#each this.columns as |list columnIndex|}}
      {{#each list as |wrappedItem listIndex|}}
        {{#unless wrappedItem.item.isDeleted}}
          <tr>
            {{#if @isEditable}}
              <td class="align-middle">
                <div class="form-check custom-checkbox">
                  <input id="check-{{columnIndex}}-{{listIndex}}"
                      class="chk-select form-check-input"
                      type="checkbox"
                      disabled={{not wrappedItem.item.canEdit}}
                      checked={{or wrappedItem.selected this.allSelected}}
                      {{on "click" (fn this.select wrappedItem.item.id)}}
                    />

                  <label class="form-check-label" for="check-{{columnIndex}}-{{listIndex}}"></label>
                </div>
              </td>
            {{/if}}

            {{yield (hash item=wrappedItem.item isRow=true)}}

            {{#if @isEditable}}
              <td class="align-middle">
                {{#if wrappedItem.item.canEdit}}
                  <Dropdown>
                    {{yield (hash isOtherOptions=true item=wrappedItem.item)}}

                    {{#if @onDelete}}
                      <div class="dropdown-divider"></div>

                      <button type="button" class="dropdown-item text-start btn-delete text-danger" {{on "click" (fn @onDelete wrappedItem.item)}}>
                        <FaIcon @icon="trash"/> {{capitalize (t "delete")}}
                      </button>
                    {{/if}}
                  </Dropdown>
                {{/if}}
              </td>
            {{/if}}
          </tr>
        {{/unless}}
      {{/each}}
    {{/each}}
  </tbody>
</table>
